---
title: 'Map.prototype[@@toStringTag]'
slug: Web/JavaScript/Reference/Global_Objects/Map/@@toStringTag
tags:
  - ECMAScript 2015
  - JavaScript
  - Map
  - Property
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Map[@@toStringTag]</code></strong> property has an initial value of "Map".</p>

<div>{{EmbedInteractiveExample("pages/js/map-prototype-@@tostringtag.html","shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0,0,1)}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Map[Symbol.toStringTag]</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toStringTag">Using toStringTag</h3>

<pre class="brush:js">Object.prototype.toString.call(new Map()) // "[object Map]"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-map.prototype-@@tostringtag', 'Map.prototype[@@toStringTag]')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Map.@@toStringTag")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Symbol.toStringTag")}}</li>
</ul>
